<template>
  <router-view :name="routeName"></router-view>
</template>

<script>
import { LocalStorage } from "quasar";
import usePagePermission from "src/hooks/pagePermission";

export default {
  name: "MessagesModule",
  setup() {
    const { routeName } = usePagePermission();
    const setRole = (role) => {
      LocalStorage.set("role", role);
    };

    return {
      routeName,
      setRole,
    };
  },
};
</script>
